Bug 18288 - Fix t/SocialData.t having a Test::DBIx::Class cache issue
Summary: Fix t/SocialData.t having a Test::DBIx::Class cache issue
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 18226
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 19:25 UTC by Olli-Antti Kivilahti
Modified: 2017-06-13 07:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18288 - Fix t/SocialData.t having a Test::DBIx::Class cache issue (841 bytes, patch)
2017-03-16 19:27 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 18288 - Fix t/SocialData.t having a Test::DBIx::Class cache issue (922 bytes, patch)
2017-06-05 20:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-16 19:25:39 UTC
REPLICATE ISSUE:

perl t/SocialData.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/SocialData.t -> OK
Comment 1 Olli-Antti Kivilahti 2017-03-16 19:27:03 UTC
Created attachment 61188 [details] [review]
Bug 18288 - Fix t/SocialData.t having a Test::DBIx::Class cache issue

REPLICATE ISSUE:

perl t/SocialData.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/SocialData.t -> OK
Comment 2 Jonathan Druart 2017-06-05 20:44:31 UTC
Created attachment 64001 [details] [review]
Bug 18288 - Fix t/SocialData.t having a Test::DBIx::Class cache issue

REPLICATE ISSUE:

perl t/SocialData.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/SocialData.t -> OK

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:45:16 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-05 20:57:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-13 07:30:53 UTC
Enhancement not pushed to 17.05.x